Android Question (SDK Version Error)This configuration cannot be published for the following reason

rhydo

Member
Licensed User
Last year we have published an APP on Playstore,which is developed by ANDROID STUDIO. Now we are in the process of updating it with New APP developed by B4A. We have did everything mentioned in the below thread and able to upload the APP to Google Developer in Draft mode.
"https://www.b4x.com/android/forum/threads/tutorial-how-to-sign-apk-with-non-b4a-keystore.14049/"

But unfortunately developer console is showing a warning as below and cannot put it in production mode.

B4X:
This configuration cannot be published for the following reason(s):
It is forbidden to downgrade devices which previously used M permissions (target SDK 23 and above) to APKs which use old style permissions (target SDK 22 and below). This occurs in the change from version 8 (target SDK 23) to version 9 (target SDK 14).
Version 8 is not served to any device configuration: all devices that might receive version 8 would receive version 9.
Some devices are eligible to run multiple APKs. In such a scenario, the device will receive the APK with the higher version code.

I have tried changing the target version in Manifest Editor and repeated the process, but still it is showing the same error. Could you please look in to this matter and help us.
 

rhydo

Member
Licensed User
Can you post your manifest editor code?

Thank you for prompt support.. here it is

B4X:
'This code will be applied to the manifest file during compilation.
'You do not need to modify it in most cases.
'See this link for for more information: https://www.b4x.com/forum/showthread.php?p=78136
AddManifestText(
<uses-sdk android:minSdkVersion="5" android:targetSdkVersion="23"/>
<supports-screens android:largeScreens="true"
    android:normalScreens="true"
    android:smallScreens="true"
    android:anyDensity="true"/>)
SetApplicationAttribute(android:icon, "@drawable/icon")
SetApplicationAttribute(android:label, "$LABEL$")
SetApplicationAttribute(android:theme, "@android:style/Theme.Holo")
'End of default text.
 
Upvote 0

rhydo

Member
Licensed User
Assuming that you haven't set AndroidManifest.xml to be read-only then you haven't uploaded the correct APK to Google Play.
Based on the description the targetSdkVersion was set to 14.

Compile your app in release mode. Make sure that there is no warning in the compilation window about the manifest file and upload it again.


We are not editing AndroidManifest.xml manually, we are editing through B4A-PROJECT-MANIFEST EDITOR Tool. Still i need to make it read only ? how can i do that . can you please explain.

There is no warning on Release mode compiling.
 
Upvote 0

rhydo

Member
Licensed User
I have repeated all the process ( changed SDK Version to 24 , Command mode compiling with -no sign, signed by jarsigner.exe and zipaligned) and uploaded to playstore. Now earlier error gone but new error as below..
B4X:
This configuration cannot be published for the following reason(s):
Version 8 is not served to any device configuration: all devices that might receive version 8 would receive version 9.
Some devices are eligible to run multiple APKs. In such a scenario, the device will receive the APK with the higher version code.
 

Attachments

  • error.jpg
    error.jpg
    220.2 KB · Views: 106
Upvote 0
Top